[
  {
    "guid": "d7e11d57-819b-4bdd-a88d-53c5f5560225",
    "name": "Media Bar Enhanced",
    "description": "A feature-rich fork of the original Media Bar script by MakD that brings your home screen to life.\n\n-> 100% Configurable via Web UI: Manage all features, lists, and settings effortlessly through the plugin configuration page.\n\nKey Highlights:\n- Cinematic Video Backdrops: Supports local & YouTube trailers (incl. SponsorBlock)\n- Custom Content: Curate your slideshow with specific Collections, Playlists, or seasonal events\n\nAdditional Features:\n- Full-width immersive mode\n- Smart resolution handling (up to 4K)\n- Full keyboard navigation & playback control\n- Wait-for-trailer options\n- Customizable pagination & animations\n\nIf you do not have write permissions to the web folder, please also install the file-transformation plugin.",
    "overview": "Transforms your Jellyfin home screen with an immersive, fully configurable media slideshow featuring video backdrops.",
    "owner": "CodeDevMLH",
    "category": "General",
    "imageUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/raw/branch/main/logo.png",
    "versions": [
      {
        "version": "1.7.1.11",
        "changelog": "- feat: add option to disable pagination dots/counter\n- feat: add exclude seasonal content from random fetching option\n- Add hide arrows on mobile option \n- fix button issue on mobile when using ElegantFin Theme",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.7.1.10/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "97e83bbdd363ad11174ffac651ee8bd3",
        "timestamp": "2026-03-08T21:36:22Z"
      },
      {
        "version": "1.7.0.14",
        "changelog": "- Switched to YouTube no-cookie host and referrer policy for iframe security\n- fix playback issues on iOS/MacOS \n- Disable animations and backdrop filters for TV layout\n- removed list.txt functionality to clean up, use the web ui instead\n- Enhance logging with contextual messages, in order to be able to clearly assign logs to this plugin",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.7.0.14/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "07875c74aab766657be3b8033be6d53f",
        "timestamp": "2026-03-06T03:13:48Z"
      },
      {
        "version": "1.6.6.4",
        "changelog": "- feat: add static backdrop also for video backdrops\n- fix: renaming issue of settings (avoiding conflict with other plugins)",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.6.6.4/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "2c55cf9687e44b04a0824997e2980dc9",
        "timestamp": "2026-02-19T17:21:40Z"
      },
      {
        "version": "1.6.5.2",
        "changelog": "- refactored seasonal UI settings",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.6.5.2/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "552cb3376c77ede5a0664ced56bf7d1e",
        "timestamp": "2026-02-16T23:57:57Z"
      },
      {
        "version": "1.6.4.1",
        "changelog": "- fix slide transition when using local/backdrop videos",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.6.4.1/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "a9c5a863427de84639eca082483936da",
        "timestamp": "2026-02-15T22:56:17Z"
      },
      {
        "version": "1.6.3.1",
        "changelog": "- fix path issue on subpath installations",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.6.3.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "6a952445bfb80ba4603017358e48da91",
        "timestamp": "2026-02-15T22:38:19Z"
      },
      {
        "version": "1.6.2.3",
        "changelog": "- feat: add options for local backdrops (theme videos) support and randomization features for local trailer/backdrops if more than one is available\n- feat: add option to include watched content in the random selection",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.6.2.3/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "c7ff2d783889c25b5a53783bfbe30b11",
        "timestamp": "2026-02-15T00:38:07Z"
      },
      {
        "version": "1.6.1.32",
        "changelog": "- feat: add seasonal UI logic\n- add option to also set the limits for custom ids\n- fix tv mode scroll issue\n- smaller fixes and improvements",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.6.1.32/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "e196fd393ef0bcf51f8ce535103f1811",
        "timestamp": "2026-02-14T16:34:32Z"
      },
      {
        "version": "1.6.0.2",
        "changelog": "- add local trailer support on trailer button\nfix: iOS/MacOS playback issue?",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.6.0.2/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "cdd0208f8cc4f4b04f50e7138e508370",
        "timestamp": "2026-02-10T22:07:33Z"
      },
      {
        "version": "1.5.1.3",
        "changelog": "- fix: iOS/MacOS playback issue?",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.5.1.3/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "9d9dbed453673d4b78acf2adaaaee126",
        "timestamp": "2026-02-10T20:12:59Z"
      },
      {
        "version": "1.5.0.28",
        "changelog": "- fix: Keyboard controls in TV mode\n- Add sorting options for content\n- Add local trailer support\n- fix performance issue\n- Update mediaBarEnhanced.js and mediaBarEnhanced.css with version 4.0.1 from upstream repo",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.5.0.28/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "0261ff27be18d48cefa5078706954240",
        "timestamp": "2026-02-10T00:35:41Z"
      },
      {
        "version": "1.3.0.3",
        "changelog": "- feat: Enhance custom media ID functionality with manual trailer override support",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.3.0.3/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "1d9e0a8342d46f84aed3f7bd1bee32d3",
        "timestamp": "2026-02-04T01:41:35Z"
      },
      {
        "version": "1.2.3.7",
        "changelog": "- Fixes the issue where buttons were cut off on smaller screens such as on S24/S25.\n- Update mediaBarEnhanced.js and mediaBarEnhanced.css with version 3.0.9 from original repo",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.2.3.7/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "fa1bf48cff159cc7dbf0aab48511a37c",
        "timestamp": "2026-01-28T22:39:54Z"
      },
      {
        "version": "1.2.2.0",
        "changelog": "- Fixes issues with persistent slides-container visibility",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.2.2.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "3362f93815845c4e85b66b31bcd0f52c",
        "timestamp": "2026-01-24T22:53:55Z"
      },
      {
        "version": "1.2.1.0",
        "changelog": "- Update mediaBarEnhanced.js and mediaBarEnhanced.css with version 3.0.8 from original repo",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.2.1.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "70defc1fb29a17ff4c9362bf7bdc53b5",
        "timestamp": "2026-01-22T23:50:56Z"
      },
      {
        "version": "1.2.0.0",
        "changelog": "- Add video quality preference setting (Auto / 1080p / Highres)\n- Set preferred video quality on YouTube player based on setting",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.2.0.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "0b6379f68990026240d97fe8f77fbef1",
        "timestamp": "2026-01-08T23:30:58Z"
      },
      {
        "version": "1.1.2.0",
        "changelog": "- Add method to resume video playback when slideshow is active",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.1.2.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "a0e8ff5e59b22a1bdedc916cd5e1c16a",
        "timestamp": "2026-01-08T15:26:55Z"
      },
      {
        "version": "1.1.1.0",
        "changelog": "- Add method to pause all video playback when navigating away from home screen",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.1.1.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "09da95fc561b11191d23a5cfa30ea731",
        "timestamp": "2026-01-08T14:54:57Z"
      },
      {
        "version": "1.1.0.0",
        "changelog": "- 'custom media IDs' setting is now enabled by default (no input --> random selection)\n- improve GUID handling in slideshow manager to handle seperator and description",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.1.0.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "32305d72b8d704acf8eef0c22277fee9",
        "timestamp": "2026-01-08T02:15:50Z"
      },
      {
        "version": "1.0.0.0",
        "changelog": "Initial release",
        "targetAbi": "10.11.0.0",
        "sourceUrl": "https://git.mahom03-spacecloud.de/CodeDevMLH/jellyfin-plugin-media-bar-enhanced/releases/download/v1.0.0.0/Jellyfin.Plugin.MediaBarEnhanced.zip",
        "checksum": "2ba7cc7f238f6aa7097628797935b903",
        "timestamp": "2026-01-06T18:56:30Z"
      }
    ]
  }
]
